TM: js1_8_1/trace/regress-452498-01.js - jit slower than non-jit

RESOLVED FIXED

Status

()

defect
RESOLVED FIXED
10 years ago
7 years ago

People

(Reporter: bc, Unassigned)

Tracking

({intermittent-failure, testcase})

Trunk
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(Not tracked)

Details

Reporter

Description

10 years ago
carrying over from bug 452498.

TM: js1_8_1/trace/regress-452498-01.js - jit slower than non-jit

BUGNUMBER: 452498
STATUS: TM: upvar2: jit heavyweight functions
 PASSED! TM: upvar2: jit heavyweight functions: correctness jit=false
 PASSED! TM: upvar2: jit heavyweight functions: correctness jit=true
time nonjit: 451, time    jit: 732
 FAILED! TM: upvar2: jit heavyweight functions : Expected value 'true', Actual value 'false' 

all branches.
Flags: wanted1.9.1?
Flags: in-testsuite+
Reporter

Comment 1

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258648676.1258653031.12559.gz

s: moz2-linux-slave01
REFTEST TEST-UNEXPECTED-PASS | file:///builds/moz2_slave/mozilla-central-linux-opt-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_8_1/trace/regress-452498-01.js | TM: upvar2: jit heavyweight functions: correctness jit=false  item 1
REFTEST TEST-UNEXPECTED-PASS | file:///builds/moz2_slave/mozilla-central-linux-opt-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_8_1/trace/regress-452498-01.js | TM: upvar2: jit heavyweight functions: correctness jit=true  item 2
REFTEST TEST-UNEXPECTED-PASS | file:///builds/moz2_slave/mozilla-central-linux-opt-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_8_1/trace/regress-452498-01.js | TM: upvar2: jit heavyweight functions  item 3
Whiteboard: [orange]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259109828.1259111823.26238.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/11/24 16:43:48
s: bm-xserve19

REFTEST TEST-UNEXPECTED-PASS | file:///builds/moz2_slave/mozilla-central-macosx-opt-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_8_1/trace/regress-452498-01.js | TM: upvar2: jit heavyweight functions: correctness jit=false  item 1
REFTEST TEST-UNEXPECTED-PASS | file:///builds/moz2_slave/mozilla-central-macosx-opt-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_8_1/trace/regress-452498-01.js | TM: upvar2: jit heavyweight functions: correctness jit=true  item 2
REFTEST TEST-UNEXPECTED-PASS | file:///builds/moz2_slave/mozilla-central-macosx-opt-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_8_1/trace/regress-452498-01.js | TM: upvar2: jit heavyweight functions  item 3
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259156989.1259158516.7642.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/11/25 05:49:49
s: bm-xserve19

REFTEST TEST-UNEXPECTED-PASS | file:///builds/moz2_slave/mozilla-central-macosx-opt-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_8_1/trace/regress-452498-01.js | TM: upvar2: jit heavyweight functions: correctness jit=false  item 1
REFTEST TEST-UNEXPECTED-PASS | file:///builds/moz2_slave/mozilla-central-macosx-opt-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_8_1/trace/regress-452498-01.js | TM: upvar2: jit heavyweight functions: correctness jit=true  item 2
REFTEST TEST-UNEXPECTED-PASS | file:///builds/moz2_slave/mozilla-central-macosx-opt-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_8_1/trace/regress-452498-01.js | TM: upvar2: jit heavyweight functions  item 3
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259202305.1259203837.7215.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/11/25 18:25:05
s: bm-xserve16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259666688.1259668182.9201.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/01 03:24:48
Reporter

Comment 6

10 years ago
http://hg.mozilla.org/tracemonkey/rev/da31270a2178
http://hg.mozilla.org/mozilla-central/rev/502d83587a1a

relax timing comparison to eliminate random failures in js1_8_1/trace/regress-452498-01.js.
Assignee: general → bclary
Status: NEW → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → FIXED
Whiteboard: [orange] → [orange][fixed-in-tracemonkey]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260567429.1260569751.16514.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/11 13:37:09
s: moz2-darwin9-slave09

REFTEST TEST-UNEXPECTED-PASS | file:///builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_8_1/trace/regress-452498-01.js | TM: upvar2: jit heavyweight functions: correctness jit=false  item 1
REFTEST TEST-UNEXPECTED-PASS | file:///builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_8_1/trace/regress-452498-01.js | TM: upvar2: jit heavyweight functions: correctness jit=true  item 2
REFTEST TEST-UNEXPECTED-PASS | file:///builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_8_1/trace/regress-452498-01.js | TM: upvar2: jit heavyweight functions  item 3
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Reporter

Comment 8

10 years ago
I'll mark it as random on tracemonkey asap. If conditions permit, I'll try to land on mozilla-central as well.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260572157.1260574738.7199.gz
Linux mozilla-central opt test everythingelse on 2009/12/11 14:55:57
s: moz2-linux-slave28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260618322.1260621498.4332.gz
WINNT 5.2 mozilla-central opt test everythingelse on 2009/12/12 03:45:22
s: win32-slave26
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260642709.1260645333.14687.gz
Linux mozilla-central opt test everythingelse on 2009/12/12 10:31:49
s: moz2-linux-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260725814.1260729391.21479.gz
Linux mozilla-central opt test everythingelse on 2009/12/13 09:36:54
s: moz2-linux-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260736441.1260741847.1881.gz
Linux mozilla-central opt test everythingelse on 2009/12/13 12:34:01
s: moz2-linux-slave25
Reporter

Comment 14

10 years ago
http://hg.mozilla.org/mozilla-central/rev/8291a0d511ae
http://hg.mozilla.org/tracemonkey/rev/c7fc41545ff4

mark js1_8_1/trace/regress-452498-01.js as random.

I'm leaving this open in case the test can be fixed to be deterministic.
Assignee: bclary → general
Flags: wanted1.9.1?
Whiteboard: [orange][fixed-in-tracemonkey] → [orange]

Comment 15

10 years ago
http://hg.mozilla.org/mozilla-central/rev/da31270a2178
Status: REOPENED → RESOLVED
Last Resolved: 10 years ago10 years ago
Resolution: --- → FIXED

Updated

9 years ago
Blocks: 438871
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.